
/**
 * NetViewSource.java
 *
 *
 * Created: Wed Apr  4 17:54:28 2001
 *
 * @author Clemens Bauer
 * @version
 */
package netView;

import function.Function;

public interface NetViewSource  {

    public Function[] getTrFcts();

    public byte[][] getTopology();

    public float[][] getWeights();
    
    public int[] getInputNodeIndices();

    public int[] getOutputNodeIndices();

    public float[] getNetActivations();
    // public float[][] getValues();
    
    public String[] getInNeuronsDesc();
    public String[] getOutNeuronsDesc();
    
    public boolean running();

    public int getID();
}// NetViewSource
