package algae.gui;
/**
 * Test.java
 *
 *
 * Created: Wed Apr  4 17:35:22 2001
 *
 * @author Clemens Bauer
 * @version
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import netView.*;

public class ANNWindow extends JFrame {

    	Netview mainPane;
    
    public ANNWindow(NetViewSource net)
    {
	if(net != null)
	    setTitle("ANN for Agent No. "+ net.getID());
	
	mainPane = new Netview(net); 	
	this.getContentPane().add(mainPane);
	
	addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    setVisible(false);
		}
	    });	
    }

    public void setSource(NetViewSource net)
    {
	mainPane.setSource(net);
	setTitle("ANN for Agent No. "+ net.getID());
    }//setSource
    

    
}// Test
