package algae.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.BorderFactory;
import javax.swing.border.*;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;

import java.io.*;
import java.util.*;
import java.lang.Number;
import java.lang.Float;
import java.lang.*;

public final class InfoPanel extends JPanel implements ActionListener {

    //Container contentPane = getContentPane();

    String dirStrings[];

    JLabel Dummy1=new JLabel("Direction:");
    JLabel DirLabel=new JLabel("---");

    JLabel Label0 = new JLabel("ANN-Output:");
    JLabel ANNOutputLabel = new JLabel("0");
    
    JLabel Label1=new JLabel("Energy:");
    JLabel EnergyLabel=new JLabel("0");
    
    JLabel Label2=new JLabel("LightR:");
    JLabel LightLabel1=new JLabel("0");
    JLabel Label3=new JLabel("LightB:");
    JLabel LightLabel2=new JLabel("0");
    JLabel Label4=new JLabel("LightL:");
    JLabel LightLabel3=new JLabel("0");
    JLabel Label5=new JLabel("LightF:");
    JLabel LightLabel4=new JLabel("0");
    
    JLabel Label6=new JLabel("SubstrateR:");
    JLabel SubstLabel1=new JLabel("0");
    JLabel Label7=new JLabel("SubstrateB:");
    JLabel SubstLabel2=new JLabel("0");
    JLabel Label8=new JLabel("SubstrateL:");
    JLabel SubstLabel3=new JLabel("0");
    JLabel Label9=new JLabel("SubstrateF:");
    JLabel SubstLabel4=new JLabel("0");
    
    JLabel Label10=new JLabel("PheromoneR:");
    JLabel PheroLabel1=new JLabel("0");
    JLabel Label11=new JLabel("PheromoneB:");
    JLabel PheroLabel2=new JLabel("0");
    JLabel Label12=new JLabel("PheromoneL:");
    JLabel PheroLabel3=new JLabel("0");
    JLabel Label13=new JLabel("PheromoneF:");
    JLabel PheroLabel4=new JLabel("0");
    
    JLabel Label14=new JLabel("BumperR:");
    JLabel BumperLabel1=new JLabel("0");
    JLabel Label15=new JLabel("BumperB:");
    JLabel BumperLabel2=new JLabel("0");
    JLabel Label16=new JLabel("BumperL:");
    JLabel BumperLabel3=new JLabel("0");
    JLabel Label17=new JLabel("BumperF:");
    JLabel BumperLabel4=new JLabel("0");
    
    JLabel Label18=new JLabel("Sensi Bumper:");
    JLabel SensiLabel1=new JLabel("0");
    JLabel Label19=new JLabel("Sensi Pheromone:");
    JLabel SensiLabel2=new JLabel("0");
    JLabel Label20=new JLabel("Sensi Substrate:");
    JLabel SensiLabel3=new JLabel("0");
    JLabel Label21=new JLabel("Sensi Light:");
    JLabel SensiLabel4=new JLabel("0");
    
    JLabel Label22=new JLabel("SensiEffi Bumper:");
    JLabel SensiEffiLabel1=new JLabel("0");
    JLabel Label23=new JLabel("SensiEffi Pheromone:");
    JLabel SensiEffiLabel2=new JLabel("0");
    JLabel Label24=new JLabel("SensiEffi Substrate:");
    JLabel SensiEffiLabel3=new JLabel("0");
    JLabel Label25=new JLabel("SensiEffi Light:");
    JLabel SensiEffiLabel4=new JLabel("0");
    
    JLabel Label26=new JLabel("Metabolic Light:");
    JLabel MetaLabel1=new JLabel("0");
    JLabel Label27=new JLabel("Metabolic Substrate:");
    JLabel MetaLabel2=new JLabel("0");
    
    JLabel Label28=new JLabel("MetabolicEff Light:");
    JLabel MetaEffiLabel1=new JLabel("0");
    JLabel Label29=new JLabel("MetabolicEff Substrate:");
    JLabel MetaEffiLabel2=new JLabel("0");
        
    JPanel content = new JPanel();
    JPanel BottomPanel = new JPanel();

    JButton OKBtn = new JButton("OK");
    
    public InfoPanel()
    {
	dirStrings=new String[4];
	dirStrings[0]="Right";
	dirStrings[1]="Down";
	dirStrings[2]="Left";
	dirStrings[3]="Up";

	setLayout(new BorderLayout());

	content.setLayout(new GridLayout(16,4));
	
	content.add(Label1);
	content.add(EnergyLabel);
	//content.add(EnergyProg);
	content.add(new JLabel(""));
	content.add(new JLabel(""));
	
	content.add(Label0);
	content.add(ANNOutputLabel);
	
	content.add(Dummy1);
	content.add(DirLabel);

	content.add(Label2);
	content.add(LightLabel1);    
	content.add(Label3);
	content.add(LightLabel2);    
	content.add(Label4);
	content.add(LightLabel3);    
	content.add(Label5);
	content.add(LightLabel4);    
 
	content.add(Label6);
	content.add(SubstLabel1);    
	content.add(Label7);
	content.add(SubstLabel2);    
	content.add(Label8);
	content.add(SubstLabel3);    
	content.add(Label9);
	content.add(SubstLabel4);    

	content.add(Label10);
	content.add(PheroLabel1);    
	content.add(Label11);
	content.add(PheroLabel2);    
	content.add(Label12);
	content.add(PheroLabel3);    
	content.add(Label13);
	content.add(PheroLabel4);    
 
	content.add(Label14);
	content.add(BumperLabel1);    
	content.add(Label15);
	content.add(BumperLabel2);    
	content.add(Label16);
	content.add(BumperLabel3);    
	content.add(Label17);
	content.add(BumperLabel4);    
	
	content.add(Label18);
	content.add(SensiLabel1);
	content.add(Label19);
	content.add(SensiLabel2);
	content.add(Label20);
	content.add(SensiLabel3);
	content.add(Label21);
	content.add(SensiLabel4);
	
	content.add(Label22);
	content.add(SensiEffiLabel1);
	content.add(Label23);
	content.add(SensiEffiLabel2);
	content.add(Label24);
	content.add(SensiEffiLabel3);
	content.add(Label25);
	content.add(SensiEffiLabel4);
	
	content.add(Label26);
	content.add(MetaLabel1);
	content.add(Label27);
	content.add(MetaLabel2);
	
	content.add(Label28);
	content.add(MetaEffiLabel1);
	content.add(Label29);
	content.add(MetaEffiLabel2);
		
        add(content);
    }

    public void setValues(float val[], int sel)
    {
    	setBorder(BorderFactory.createTitledBorder(BorderFactory.createLineBorder(Color.black), "Agent "+sel));
 	
	DirLabel.setText(dirStrings[(int)val[0]-1]);
	EnergyLabel.setText(Float.toString(val[1]));

	LightLabel1.setText(Float.toString(val[2]));
   	LightLabel2.setText(Float.toString(val[3]));
   	LightLabel3.setText(Float.toString(val[4]));
   	LightLabel4.setText(Float.toString(val[5]));

	SubstLabel1.setText(Float.toString(val[6]));
	SubstLabel2.setText(Float.toString(val[7]));
	SubstLabel3.setText(Float.toString(val[8]));
	SubstLabel4.setText(Float.toString(val[9]));
	
	PheroLabel1.setText(Float.toString(val[10]));
	PheroLabel2.setText(Float.toString(val[11]));
	PheroLabel3.setText(Float.toString(val[12]));
	PheroLabel4.setText(Float.toString(val[13]));

	BumperLabel1.setText(Float.toString(val[14]));
	BumperLabel2.setText(Float.toString(val[15]));
	BumperLabel3.setText(Float.toString(val[16]));
	BumperLabel4.setText(Float.toString(val[17]));	
	
	SensiLabel1.setText(Float.toString(val[19]));
	SensiLabel2.setText(Float.toString(val[20]));
	SensiLabel3.setText(Float.toString(val[21]));
	SensiLabel4.setText(Float.toString(val[22]));
	
	SensiEffiLabel1.setText(Float.toString(val[23]));
	SensiEffiLabel2.setText(Float.toString(val[24]));
	SensiEffiLabel3.setText(Float.toString(val[25]));
	SensiEffiLabel4.setText(Float.toString(val[26]));
	
	MetaLabel1.setText(Float.toString(val[27]));
	MetaLabel2.setText(Float.toString(val[28]));
	
	MetaEffiLabel1.setText(Float.toString(val[29]));
	MetaEffiLabel2.setText(Float.toString(val[30]));
		
	ANNOutputLabel.setText(Integer.toString((int)val[18]));
    }
    
    public void clearValues()
    {
    	setBorder(BorderFactory.createTitledBorder(BorderFactory.createLineBorder(Color.black), "Agent <none selected>"));
 	
	DirLabel.setText("-----");
	EnergyLabel.setText("-----");
	
	ANNOutputLabel.setText("----");

	LightLabel1.setText("-----");
   	LightLabel2.setText("-----");
   	LightLabel3.setText("-----");
   	LightLabel4.setText("-----");

	SubstLabel1.setText("-----");
	SubstLabel2.setText("-----");
	SubstLabel3.setText("-----");
	SubstLabel4.setText("-----");
	
	PheroLabel1.setText("-----");
	PheroLabel2.setText("-----");
	PheroLabel3.setText("-----");
	PheroLabel4.setText("-----");

	BumperLabel1.setText("-----");
	BumperLabel2.setText("-----");
	BumperLabel3.setText("-----");
	BumperLabel4.setText("-----");	
	
	SensiLabel1.setText("-----");
	SensiLabel2.setText("-----");
	SensiLabel3.setText("-----");
	SensiLabel4.setText("-----");
	
	SensiEffiLabel1.setText("-----");
	SensiEffiLabel2.setText("-----");
	SensiEffiLabel3.setText("-----");
	SensiEffiLabel4.setText("-----");
	
	MetaLabel1.setText("-----");
	MetaLabel2.setText("-----");
	
	MetaEffiLabel1.setText("-----");
	MetaEffiLabel2.setText("-----");
    }

   public void actionPerformed(ActionEvent e)
        {
	    Object src=e.getSource();
	    if (src==OKBtn)
	    {
		this.setVisible(false);
	    }
	} 
}
