package algae.simulation.worlds;
import java.util.*;
import java.lang.*;

import algae.simulation.Settings;
import algae.simulation.view.ViewListElement;

/** A class that represents ...
 * 
 * @see OtherClasses
 * @author your_name_here
 */
public abstract class World {
  
  // Attributes
  /** An attribute that represents ...
 */
    // default dimension
    final static int DIMX = 400;
    final static int DIMY = 600;

    static double OUTOFWORLD = 0.0;
    
    Settings cfg;

    public int renew = 0;
    public int used = 0;

    public abstract class Element  {
	public double amount;
	
	public Element() {
		this.amount=0.0;
	}
	
	public abstract boolean exists();

	abstract boolean update();

	public abstract boolean add(int step);
	public abstract boolean remove(int step);
	public abstract boolean put(float amount);
	
	public double value(int x,int y)
	{
	    return this.amount;
	}
	
	public double value()
	{
	    return this.amount;
	}
    } // Element
  

    // Associations
    public Element world[][]; // the World

    // Constructors
    public World() 
    {
	// if there is no dimension defined, the default Dimension is taken  
	this.world = new Element[DIMY][DIMX];
    }
    
    public World(int y, int x) 
    {		
	this.world = new Element[y][x];
    }
    
    
    public abstract void step(int step);
    
} /* end class World */
