
/**
 * Graph.java
 *
 *
 * Created: Thu Apr  5 00:17:14 2001
 *
 * @author Clemens Bauer
 * @version
 */
package netView;

import function.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


class Graph extends JPanel 
{
    
    Graph () {
	super();	
	setBorder(BorderFactory.createTitledBorder("Transferfunctions"));	
    }

    Graph(function.Function[] trFcts) {
	GraphPanel[] graphs = new function.GraphPanel[trFcts.length];
	
	for(int i = 0; i < trFcts.length;i++)
	    {	
		if(trFcts[i] != null)
		    {
			System.out.println("Found function for Neuron " + i);
			graphs[i] = new GraphPanel(trFcts[i]);
			graphs[i].setPreferredSize(new Dimension(this.getWidth(),100));
			add(graphs[i]);
		    }
	    }
	
    }

}// Graph
